clear

n = 10;

tol = 1e-8;
trace = 0;

a0 = (1/pi)*quad('x.^2*1',-pi,pi);
for k = 1:1:n
    a(k) = (1/pi)*quadl(@fa,-pi,pi,tol,trace,k);
    b(k) = (1/pi)*quadl(@fb,-pi,pi,tol,trace,k);
end

t = -pi:0.1:pi;
y = a0/2;
for k=1:n
y = y + a(k)*cos(k*t) + b(k)*sin(k*t);
end

figure
y2 = t.^2;
plot(t,y,t,y2)